plugins {
    id("java")
}

group = "com.alttd.webinterface"
version = "unspecified"

repositories {
    mavenCentral()
}

dependencies {
    testImplementation(platform("org.junit:junit-bom:5.10.0"))
    testImplementation("org.junit.jupiter:junit-jupiter")
    // JDA
    implementation("net.dv8tion:JDA:6.0.0-rc.2") {
        exclude("opus-java") // exclude audio
        exclude("tink") // exclude audio
    }
    compileOnly("org.projectlombok:lombok:1.18.38")
    annotationProcessor("org.projectlombok:lombok:1.18.38")
}

tasks.test {
    useJUnitPlatform()
}
